> ## Documentation Index
> Fetch the complete documentation index at: https://www.latitude.sh/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List available Kubernetes versions

> Lists the Kubernetes patches the platform offers, with their lifecycle flags. Use a version with `available_for_creation: true` when creating a cluster or a node pool, and one with `available_for_upgrade: true` when upgrading. Exactly one entry has `default: true`.




## OpenAPI

````yaml https://spec.speakeasy.com/latitude/latitude/latitude-sh-api-with-code-samples get /lks/available_versions
openapi: 3.0.1
info:
  title: Latitude.sh API
  version: '2023-06-01'
  description: >-
    The Latitude.sh API is a RESTful API to manage your Latitude.sh account. It
    allows you to perform the same actions as the Latitude.sh dashboard.
servers:
  - url: https://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
  - url: http://api.latitude.sh
    variables:
      latitude_api_key:
        default: <insert your api key here>
security: []
tags:
  - name: API keys
  - name: Baselines (Preview)
    description: >-
      Preview. Available to teams with the `baselines_api` feature flag. The
      shape of these endpoints may change before general availability.
  - name: Billing
  - name: Elastic Ips
  - name: Events
  - name: Firewalls
  - name: IP Addresses
  - name: Managed Databases
    description: Managed database instances (PostgreSQL, ClickHouse)
  - name: Kubernetes Clusters
  - name: LKS
  - name: Marketplace apps
  - name: Operating Systems
  - name: Plans
  - name: Public Networks
  - name: Private Networks
  - name: Projects
  - name: Regions
  - name: Roles
  - name: SSH Keys
  - name: Servers
  - name: Block Storage
  - name: Filesystem Storage
  - name: Object Storage
  - name: Tags
  - name: Teams
  - name: Team members
  - name: Traffic
  - name: User data
  - name: User profile
  - name: VPN Sessions
  - name: Virtual machines
  - name: Virtual machine backups
  - name: Virtual machine restores
paths:
  /lks/available_versions:
    get:
      tags:
        - LKS
      summary: List available Kubernetes versions
      description: >
        Lists the Kubernetes patches the platform offers, with their lifecycle
        flags. Use a version with `available_for_creation: true` when creating a
        cluster or a node pool, and one with `available_for_upgrade: true` when
        upgrading. Exactly one entry has `default: true`.
      operationId: list-lks-available-versions
      parameters: []
      responses:
        '200':
          description: OK
          content:
            application/vnd.api+json:
              examples:
                TwoVersions:
                  value:
                    data:
                      - id: 1.36.3
                        type: lks_kubernetes_versions
                        attributes:
                          version: 1.36.3
                          default: true
                          available_for_creation: true
                          available_for_upgrade: true
                      - id: 1.37.2
                        type: lks_kubernetes_versions
                        attributes:
                          version: 1.37.2
                          default: false
                          available_for_creation: false
                          available_for_upgrade: true
              schema:
                $ref: '#/components/schemas/lks_kubernetes_versions'
        '502':
          description: Bad Gateway — NetBox is temporarily unavailable
          content:
            application/vnd.api+json:
              examples:
                UpstreamServiceError:
                  value:
                    errors:
                      - code: UPSTREAM_SERVICE_ERROR
                        title: Bad Gateway
                        detail: NetBox is temporarily unavailable. Please try again.
                        status: '502'
                        meta: {}
              schema:
                $ref: '#/components/schemas/error_object'
      security:
        - Bearer: []
      x-codeSamples:
        - lang: go
          label: Go (SDK)
          source: "package main\n\nimport(\n\t\"context\"\n\t\"os\"\n\tlatitudeshgosdk \"github.com/latitudesh/latitudesh-go-sdk\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := latitudeshgosdk.New(\n        latitudeshgosdk.WithSecurity(os.Getenv(\"LATITUDESH_BEARER\")),\n    )\n\n    res, err := s.Lks.ListLksAvailableVersions(ctx)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.LksKubernetesVersions != nil {\n        // handle response\n    }\n}"
components:
  schemas:
    lks_kubernetes_versions:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/lks_kubernetes_version_data'
    error_object:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              code:
                type: string
                nullable: true
              status:
                type: string
              title:
                type: string
              detail:
                type: string
              source:
                type: object
                properties:
                  pointer:
                    type: string
                  parameter:
                    type: string
              meta:
                type: object
    lks_kubernetes_version_data:
      type: object
      properties:
        id:
          type: string
          example: 1.36.3
        type:
          type: string
          enum:
            - lks_kubernetes_versions
        attributes:
          type: object
          properties:
            version:
              type: string
              example: 1.36.3
            default:
              type: boolean
            available_for_creation:
              type: boolean
            available_for_upgrade:
              type: boolean
  securitySchemes:
    Bearer:
      type: apiKey
      name: Authorization
      in: header

````